Get Daily Active Accounts Stats By Contract
POST
Retrieves the daily count of active accounts for a specific contract within the specified range.
📘 When is data reflected?
In the current daily statistics API, a 'day' is based on UTC, and each day's data is aggregated from UTC 00:00:00 to before UTC 24:00:00 of that day. For daily statistics, the previous day's statistics may be delayed until 00:30:00 the next morning, so this should be considered when querying the latest data.
🚧 Check the network when using!
This API is only supported on Ethereum Mainnet and TheBalance Mainnet. It cannot be used on other networks. Please verify the network when using.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request BodyEthereum
contractAddressstringrequired
Parameter specifying the contract address to query. Can be entered as a 40-character hexadecimal string starting with 0x.startDatestringrequired
Parameter specifying the start date for the query. Data can be queried for up to 100 days from start to end date. Supports YYYY-MM-DD format.endDatestringrequired
Parameter specifying the end date for the query. Data can be queried for up to 100 days from start to end date. Supports YYYY-MM-DD format.Responses
countinteger
Field representing the total count of requested data. This field is only included in the response when true is set for the withCount parameter.datestringrequired
Field representing the date. Provided in YYYY-MM-DD format. (e.g., 2021-01-01)countintegerrequired
Field representing the number of transactions per date.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/ethereum/mainnet/stats/getDailyActiveAccountsStatsByContract' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"startDate": "2026-01-01","endDate": "2026-01-01"}'